aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNicolas Dechesne <nicolas.dechesne@linaro.org>2014-10-10 17:21:49 +0000
committerNicolas Dechesne <nicolas.dechesne@linaro.org>2015-03-02 16:10:50 +0000
commit8374b0e0e927257b974405e9d3526b7b394f1082 (patch)
treec24d326c58636134be87e75627f82d25aca454b1
parent2f9efbd9520acd1b6968fff027d3f3132cc07519 (diff)
autogen.sh: do not invoke ./configure when requiredHEADmaster
allow to not automatically call ./configure , since there are times when it should not be done (e.g. packaging). Signed-off-by: Nicolas Dechesne <nicolas.dechesne@linaro.org>
-rwxr-xr-xautogen.sh16
1 files changed, 9 insertions, 7 deletions
diff --git a/autogen.sh b/autogen.sh
index 3b94e5d..8007b3b 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -8,11 +8,13 @@ autoreconf --verbose --force --install || {
exit 1;
}
-./configure "$@" || {
- echo 'configure failed';
- exit 1;
-}
+if [ -z "$NOCONFIGURE" ] ; then
+ ./configure "$@" || {
+ echo 'configure failed';
+ exit 1;
+ }
-echo
-echo "Now type 'make' to compile this module."
-echo
+ echo
+ echo "Now type 'make' to compile this module."
+ echo
+fi